LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XInterfaceTypeDescription2 Interface Reference

Reflects an interface type, supporting multiple inheritance. More...

`import"XInterfaceTypeDescription2.idl";`

Inheritance diagram for XInterfaceTypeDescription2:

## Public Member Functions
sequence< XTypeDescription > | getBaseTypes ()
| Returns a sequence of all directly inherited (mandatory) base interface types. More...
sequence< XTypeDescription > | getOptionalBaseTypes ()
| Returns a sequence of all directly inherited optional base interface types. More...
Public Member Functions inherited from XInterfaceTypeDescription
com::sun::star::reflection::XTypeDescription | getBaseType ()
| Returns the base interface or null, if the reflected interface is not inherited from another. More...
com::sun::star::uno::Uik | getUik ()
| Deprecated. More...
sequence< com::sun::star::reflection::XInterfaceMemberTypeDescription > | getMembers ()
| Returns the members of the interfaces, i.e. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects an interface type, supporting multiple inheritance.

This type supersedes XInterfaceTypeDescription, which only supported single inheritance.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getBaseTypes()

sequence< XTypeDescription > getBaseTypes | ( |  | ) |

Returns a sequence of all directly inherited (mandatory) base interface types.

Returns
  a sequence of all directly inherited (mandatory) base interface types, in the correct order; each element of the returned sequence will be the reflection of either an interface type (of type com::sun::star::reflection::XInterfaceTypeDescription) or a typedef (of type com::sun::star::reflection::XIndirectTypeDescription) that—directly or indirectly—denotes an interface type

## ◆ getOptionalBaseTypes()

sequence< XTypeDescription > getOptionalBaseTypes | ( |  | ) |

Returns a sequence of all directly inherited optional base interface types.

Returns
  a sequence of all directly inherited optional base interface types, in the correct order; each element of the returned sequence will be the reflection of either an interface type (of type com::sun::star::reflection::XInterfaceTypeDescription) or a typedef (of type com::sun::star::reflection::XIndirectTypeDescription) that—directly or indirectly—denotes an interface type

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XInterfaceTypeDescription2.idl